crash (9.0.2+~16.3-1) unstable; urgency=medium

  * QA upload
  * New upstream release 9.0.2 (Closes: #1135144)
  * d/control:
    - Bump Standards-Version to 4.7.4
    - Remove redundant priority field
  * d/copyright: Bump end date to 2026

 -- Juerg Haefliger <juergh@proton.me>  Tue, 28 Apr 2026 08:12:54 +0000

crash (9.0.1+~16.3-1) unstable; urgency=medium

  * QA upload
  * Switch to MUT packaging and use a gdb component tarball
    (Closes: #1124151)
  * Add d/gbp.conf
  * Fix various lintian issues:
    - d/changelog: Remove trailing empty line
    - d/control: Bump standards to 4.7.3
    - d/copyright: Add year 2026
    - d/patches: Add 'Forwarded: not-needed'
    - d/s/lintian-overrides: Add gdb override
    - d/copyright: Add gdb component copyright information

 -- Juerg Haefliger <juergh@proton.me>  Thu, 22 Jan 2026 09:34:15 +0100

crash (9.0.1-2) unstable; urgency=medium

  * QA upload.
  * Maintain in Debian team on Salsa
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Dec 2025 00:03:01 +0100

crash (9.0.1-1) unstable; urgency=medium

  * QA upload
  * New upstream release 9.0.1 (Closes: #1096475)
  * Use gdb tarball from gdb-source package (Closes: #1120855)
  * d/control: Add libmpfr-dev to Build-Depends
  * d/lintian-overrides: Update rule syntax
  * d/tests: Drop software-properties-common dependency (Closes: #1108875)
  * d/tests/live: Stop using apt-key (Closes: #1020461)
  * d/copyright: Convert to DEP5 format

 -- Juerg Haefliger <juergh@proton.me>  Wed, 03 Dec 2025 09:08:18 +0000

crash (8.0.6-2) unstable; urgency=medium

  * Orphan crash

 -- Troy Heber <troyh@debian.org>  Sun, 17 Aug 2025 14:32:47 -0600

crash (8.0.6-1) unstable; urgency=medium

  * New upstream release 8.0.6
  * 89ff1e457344 x86_64: Add gdb stack unwind support
  * 6dfda0d22355 ppc64: Add gdb stack unwind support
  * 1fd80c623c20 Preparing for gdb stack unwind support
  * 7c8a7dddda66 vmware_guestdump: Various format versions support
  * c4db469af091 x86_64: Fix invalid input "=>" for bt command
  * 21e0a345f973 Fix cpumask_t recursive dependence issue
  * 32b03ca26229 Revert "arm64: section_size_bits compatible with macro
    definitions"
  * 7b5c8bca7d05 X86 64: improve the method of determining whether kaslr is
    enabled
  * 9babe985a7eb kmem: fix the determination for slab page
  * 0d2ad774532d x86_64: Fix the bug of getting incorrect framesize
  * 17248cf00276 arm64: Support 16K page, 48 VA bits and 4 level page table
  * 19ce5a996ce7 arm64: fix 64K page and 52-bits VA support
  * 3b8f9721e13d arm64: use the same expression to indicate ptrs_per_pgd
  * 2ebf656a4a17 arm64: fix indent issue and refactor PTE_TO_PHYS
  * f20a94016148 “kmem address” not working properly when redzone is enabled
  * 79b93ecb2e72 Fix a "Bus error" issue caused by 'crash --osrelease' or
    crash loading
  * af3d266aeb8c arm64: cleanup the pud description
  * f93d870f8b6a arm64: fix for 'help -m/-M' to correctly display the pmd
    description
  * bcdf0f798d01 arm64: Introduction of support for 16K page with 2-level
    table support
  * 5218919ec108 s390x: Fix "bt -f/-F" command fail with seek error
  * 321e1e854588 Fix a segfault issue due to the incorrect irq_stack_size on
    ARM64
  * 5cd1c6ace5fe arm64: fix the determination of vmemmap and struct_page_size
  * f615f8fab7bf Fix "irq -a" exceeding the memory range issue
  * 38f26cc8b930 LoongArch64: fix incorrect code in the main()
  * 93d7f647c45b arm64: Introduction of support for 16K page with 3-level
    table support
  * 1c6da3eaff82 arm64: Fix bt command show wrong stacktrace on ramdump source
  * af895b219876 arm64: fix a potential segfault when unwind frame
  * ce4ddc742fbd List: enable LIST_HEAD_FORMAT for -r option
  * 3452fe802bf9 Fix "kmem -i" and "swap" commands on Linux 6.10-rc1 and later
    kernels
  * 196c4b79c13d X86 64: fix a regression issue about kernel stack padding
  * a20eb05de3c1 Fix for failing to load kernel module
  * 6752571d8d78 X86 64: fix for crash session loading failure
  * 7c2c90d0b06a Fix "kmem -v" option on Linux 6.9 and later kernels
  * 48764a14bc58 x86_64: fix for adding top_of_kernel_stack_padding for kernel
    stack
  * 3879e9104826 Reflect __{start,end}_init_task kernel symbols rename
  * 568c6f049ad4 arm64: section_size_bits compatible with macro definitions
  * af2ac4c41df6 Cleanup: replace struct zspage_5_17 with union
  * a584e9752fb2 Adding the zram decompression algorithm "lzo-rle"
  * 9104e87db44e Mark start of 8.0.6 development phase with version 8.0.5++

 -- Troy Heber <troyh@debian.org>  Sun, 08 Dec 2024 12:32:27 -0700

crash (8.0.5-1) unstable; urgency=medium

  * New upstream
  * ceacceef7d13 crash-8.0.4 -> crash-8.0.5
  * eedf12d47584 gdb: fix "p" command to print module variables correctly
  * 7d4daf0c0354 x86_64: Fix "bt" command to handle IRQ exception frames properly
  * ced754d3f8ce Fix segmentation fault in value_search_module_6_4()
  * ce47cb8dabb5 x86_64: Fix for "bt" command incorrectly printing "bogus exception frame" warning
  * 5b24e363a898 get vmalloc start address from vmcoreinfo
  * 18bf18cf2e6b arm64: Add support for vmemmap symbol in vmcoreinfo
  * 3f205d1d4af5 LoongArch64: Fixed link errors when build on LOONGARCH64 machine
  * cc3049044a72 gdb-10.2.patch: Fix duplicated code by re-applying patch
  * 5977936c0a91 Add "log -c" option to display printk caller id
  * 3d60d9d40457 Fix "mount" command failure on Linux 6.8-rc1 and later
  * e924f6d8a1d2 LoongArch64: Add LoongArch64 architecture support information
  * c3939d2e1930 LoongArch64: Add "--kaslr" command line option support
  * 0f34aa46cae9 LoongArch64: Add 'irq' command support
  * be214379cdb9 LoongArch64: Add 'help -r' command support
  * ab4c69f992ad LoongArch64: Add 'help -m/M' command support
  * 87f031ada9df LoongArch64: Add 'bt' command support
  * 756158045183 LoongArch64: Add 'mach' command support
  * 7b8db357511c LoongArch64: Add 'pte' command support
  * 89ae0e226fa9 LoongArch64: Make the crash tool successfully enter the crash command line
  * 35a2472e7a30 Add LoongArch64 framework code support
  * 28891d112754 symbols: skip the module if the given address is not within its address range
  * aed1b7d3a064 x86_64: Fix "bt" command not printing stack trace enough
  * a69496279133 RISCV64: Add per-cpu overflow stacks support
  * 12fbed3280a1 RISCV64: Add per-cpu IRQ stacks support
  * d86dc6901ce7 RISCV64: Add support for 'bt -e' option
  * edb2bd52885c arm64: support HW Tag-Based KASAN (MTE) mode
  * 53d2577cef98 x86_64: check bt->bptr before calculate framesize
  * 38435c3acec0 help.c: Remove "kmem -l" help messages
  * 19d3c56c9fca arm64: rewrite the arm64_get_vmcoreinfo_ul to arm64_get_vmcoreinfo
  * 9b69093e623f RISCV64: Fix 'bt' output when no ra on the stack top
  * 5187a0320cc5 RISCV64: Dump NT_PRSTATUS in 'help -n'
  * d0164e7e480a s390x: uncouple physical and virtual memory spaces
  * 4c78eb4a9199 s390x: fix virtual vs physical address confusion
  * 2e513114e7d7 Fix identity_map_base value dump on S390
  * c15da0752629 use NR_SWAPCACHE when nr_swapper_spaces isn't available
  * 0c5ef6a4a3a2 symbols: skip load .init.* sections if module was successfully initialized
  * f2ee6fa6c841 symbols: expand all kernel module symtable if not all expanded previously
  * 582febffa8b3 zram: Fixes for lookup_swap_cache()
  * d65e5d3eae0d Fix typos in offset_table and missing "help -o" items
  * 38acd02c7fc0 Fix "rd" command for zram data display in Linux 6.2 and later
  * 61c8fdb1d7f7 Mark start of 8.0.5 development phase with version 8.0.4++

 -- Troy Heber <troyh@debian.org>  Tue, 30 Apr 2024 15:04:19 -0600

crash (8.0.4-1) unstable; urgency=medium

  * New upstream (Closes: #1057009)
  * a6832f608cb5 crash-8.0.3 -> crash-8.0.4
  * 262b1c71b485 Fix printing incorrect panic string issue
  * 55a43bcefa20 Fix compilation error and warning with gcc-4.8.5
  * fc6ed525407f gdb: Verify COFF symbol stringtab offset
  * a8e5e4cbae54 gdb: Avoid buffer overflow in ada_decode
  * 0172e35083b5 Fix "rd" command to display data on zram on Linux 5.17 and
    later
  * ac097d6cb157 diskdump: add hook for additional checks on prstatus notes
    validity
  * 5e758aaa0fd8 Make "clear" external command runnable without "!" and
    alias-able
  * 578fc08b8255 memory_driver: Support overriding kernel directory
  * 1cfd513ea9c8 memory_driver: Use designated initializer for 'crash_dev'
  * 3c44056efef2 memory_driver: Ensure PWD points to the current directory
  * c9a732d0f6ab arm64: Fix "vtop" command to display swap information on
    Linux 5.19 and later
  * a9291fc1bf61 ppc64: do page traversal if vmemmap_list not populated
  * 27f3ccd6c296 In verify_version() don't require specific syment type values
    for linux_banner symbol to get its address
  * 3253e5ac87c6 Fix "ps/vm" commands to display the memory usage for exiting
    tasks
  * 1aa93cd33fa1 RISCV64: Add KASLR support
  * f774fe0f59b4 deduplicate kernel_version open-coded parser
  * eeaed479a438 Fix "kmem -s|-S" not working properly when
    CONFIG_SLAB_FREELIST_HARDENED is enabled
  * bc145861bfeb Revert "Fix "kmem -s|-S" not working properly on RHEL8.6 and
    later"
  * ff963b795b3f RISCV64: Use va_kernel_pa_offset in VTOP()
  * 69f38d777450 Fix "ps/vm" commands to display correct memory usage
  * 558aecc98987 Fix "foreach" command with "DE" state to display only
    expected tasks
  * c74f375e0ef7 Fix get_linux_banner_from_vmlinux() for vmlinux without
    ".rodata" symbol
  * aa5763800d61 Fix warning about kernel version inconsistency during crash
    startup
  * f0b59524624b Fix segmentation fault by "tree -s" option with Maple Tree
  * 38d35bd1423c Fix "irq [-a|-s]" options on Linux 6.5-rc1 and later
  * d17d51a92a3a Exclude zero entries from do_maple_tree() return value
  * b76e116c50ff vmware: Improve output when we fail to read vmware 'vmsn'
    file
  * 6d0be1316aa3 Fix "irq -a" option on Linux 6.0 and later
  * 4ee56105881d Fix compilation error due to new strlcpy function that glibc
    added
  * 88580068b7dd Fix failure of gathering task table on Linux 6.5-rc1 and
    later
  * 7750e61fdb2a Support module memory layout change on Linux 6.4
  * 8b24b2025fb4 ppc64: Remove redundant PTE checks
  * 6c8cd9b5dcf4 arm64: Fix again segfault in
    arm64_is_kernel_exception_frame() when corrupt stack pointer address is
    given
  * 91a76958e4a8 Revert "Fix segfault in arm64_is_kernel_exception_frame()
    when corrupt stack pointer address is given"
  * ec1e61b33a70 Fix invalid structure size error during crash startup on
    ppc64
  * 77d8621876c1 x86_64: Fix "bt" command printing stale entries on Linux 6.4
    and later
  * 8527bbff71cb Output prompt when stdin is not a TTY
  * 9868ebc8e648 Fix segfault in arm64_is_kernel_exception_frame() when
    corrupt stack pointer address is given
  * db8c030857b4 diskdump/netdump: fix segmentation fault caused by failure of
    stopping CPUs
  * a0eceb041dfa arm64/x86_64: Enhance "vtop" command to show zero_pfn
    information
  * 342cf340ed03 Fix "kmem -v" option displaying no regions on Linux 6.3 and
    later
  * 58c1816521c2 Fix failure of "dev -d|-D" options on Linux 6.4 and later
    kernels
  * 040a56e9f9d0 Fix kernel version macros for revision numbers over 255
  * 2505a65ff547 Mark start of 8.0.4 development phase with version 8.0.3++

 -- Troy Heber <troyh@debian.org>  Mon, 27 Nov 2023 14:43:03 -0700

crash (8.0.3+ds1-3) unstable; urgency=medium

  * New upload to resolve missing gdb

 -- Troy Heber <troyh@debian.org>  Thu, 02 Nov 2023 14:23:03 -0600

crash (8.0.3-2) unstable; urgency=medium

  * Fix to include gdb

 -- Troy Heber <troyh@debian.org>  Mon, 30 Oct 2023 09:12:36 -0600

crash (8.0.3-1) unstable; urgency=medium

  * New upstream (Closes: #1054805)
  * https://github.com/crash-utility/crash/compare/8.0.2...8.0.3

 -- Troy Heber <troyh@debian.org>  Sat, 28 Oct 2023 12:21:36 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog crash`.
